Subject: Re: bug#45834: 28.0.50; Mouse events in terminal emacs

From: Stefan Monnier <[email-masked]>
Date: Wed, 08 Sep 2021 11:49:12 -0400

>> Yes, that sounds likely.  And....  if I `C-k h C-x' and then lose focus
>> and get it and then `a' and then lose and get focus and then `C-g', I
>> get:
>> 
>> C-x a C-g (translated from C-x M-[ O M-[ I a M-[ O M-[ I C-g) is undefined

Which part of this do you consider wrong?

> So somehow what we do in xterm-translate-focus-in causes Emacs to
> interpret the sequence as an incomplete one.

AFAIK, `C-x` is incomplete and so it `C-x a`, so I don't e anything
wrong in what is described above.

        Stefan